-- This file:
-- http://angg.twu.net/dednat6/output.lua
-- http://angg.twu.net/dednat6/output.lua.html
--  (find-angg        "dednat6/output.lua")
--
-- Sending (Lua-produced) TeX code back to the TeX interpreter requires
-- some preprocessing... see:
--   (find-es "luatex" "comments-in-tex.print")
--   (find-es "luatex" "spurious-omega")
--
-- Usage:
--   \catcode`\^^J=10                     % (find-es "luatex" "spurious-omega")
--   \directlua{output = mytexprint}
--   \directlua{output =  printboth}
-- or: (...)

deletecomments = function (str)
    return (str:gsub("%%[^%%\n]*\n[ \t]*", ""))
  end

-- Old
mytexprint = function (str)
    tex.print(deletecomments(str))
  end
printboth = function (str)
    print("("..tf.nline.."):")
    print(str)
    mytexprint(str)
  end

-- New
dnt_log = ""
--
output_quiet = function (str)
    dnt_log = dnt_log..str.."\n"
    tex.print(deletecomments(str))
  end
output_verbose = function (str)
    print("("..tf.nline.."):")
    print(str)
    output_quiet(str)
  end
output = output_quiet
quiet   = function () output = output_quiet end
verbose = function () output = output_verbose end
--
write_dnt_file  = function ()
    local fname = tex.jobname..".dnt"
    writefile(fname, dnt_log)
    print("(Wrote: "..fname..")")
  end





--[[
 (eepitch-lua51)
 (eepitch-kill)
 (eepitch-lua51)
dofile "output.lua"

--]]


-- Local Variables:
-- coding: raw-text-unix
-- End:

